RDKit::Canon::canon_atom Struct Reference

`#include <new_canon.h>`

## Public Member Functions

| canon_atom ()

## Public Attributes

const Atom * | atom
int | index
unsigned int | degree
unsigned int | totalNumHs
bool | hasRingNbr
bool | isRingStereoAtom
int * | nbrIds
const std::string * | p_symbol
unsigned int | neighborNum
unsigned int | revistedNeighbors
std::vector< bondholder > | bonds

## Detailed Description

Definition at line 75 of file new_canon.h.

## Constructor & Destructor Documentation

RDKit::Canon::canon_atom::canon_atom | ( |  | ) |

inline

Definition at line 88 of file new_canon.h.

## Member Data Documentation

const Atom* RDKit::Canon::canon_atom::atom

Definition at line 76 of file new_canon.h.

std::vector<bondholder> RDKit::Canon::canon_atom::bonds

Definition at line 86 of file new_canon.h.

Referenced by RDKit::Canon::SpecialChiralityAtomCompareFunctor::operator()(), RDKit::Canon::SpecialSymmetryAtomCompareFunctor::operator()(), RDKit::Canon::AtomCompareFunctor::operator()(), and RDKit::Canon::ChiralAtomCompareFunctor::operator()().

unsigned int RDKit::Canon::canon_atom::degree

Definition at line 78 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

bool RDKit::Canon::canon_atom::hasRingNbr

Definition at line 80 of file new_canon.h.

int RDKit::Canon::canon_atom::index

Definition at line 77 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

bool RDKit::Canon::canon_atom::isRingStereoAtom

Definition at line 81 of file new_canon.h.

int* RDKit::Canon::canon_atom::nbrIds

Definition at line 82 of file new_canon.h.

Referenced by RDKit::Canon::BreakTies(), and RDKit::Canon::RefinePartitions().

unsigned int RDKit::Canon::canon_atom::neighborNum

Definition at line 84 of file new_canon.h.

const std::string* RDKit::Canon::canon_atom::p_symbol

Definition at line 83 of file new_canon.h.

unsigned int RDKit::Canon::canon_atom::revistedNeighbors

Definition at line 85 of file new_canon.h.

unsigned int RDKit::Canon::canon_atom::totalNumHs

Definition at line 79 of file new_canon.h.

The documentation for this struct was generated from the following file:

- new_canon.h